freemarker.cache

## Class TemplateSourceMatcher

- java.lang.Object
- - freemarker.cache.TemplateSourceMatcher

Direct Known Subclasses:
  AndMatcher, FileExtensionMatcher, FileNameGlobMatcher, NotMatcher, OrMatcher, PathGlobMatcher, PathRegexMatcher

    public abstract class TemplateSourceMatcher
    extends Object

Since:
  2.3.24

### Constructor Summary

Constructors
Constructor and Description
`TemplateSourceMatcher()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateSourceMatcher

    public TemplateSourceMatcher()